Skip to main content
`Ctrl`+`K`

# STGetMatrixTransformed

Gets the matrices associated with the transformed eigensystem.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetMatrixTransformed(ST st,PetscInt k,Mat *T)

Not Collective

## Input Parameters

- st - the spectral transformation context

- k - the index of the requested matrix (starting in 0)

## Output Parameter

- T - the requested matrix

## See Also

ST: Spectral Transformation, `STGetMatrix()`, `STGetNumMatrices()`

## Level

developer

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages